閱讀同管理模型集合
使用所需範圍同清晰嘅擁有權同審核界限,列出、創建同更新 ShareAI Creator 模型集合。
喺呢頁面
集合將相關嘅模型標籤同佢哋嘅默認服務/商業政策分組。單個模型標籤可以有支持嘅覆蓋。使用 API 返回嘅集合 UUID,而唔係顯示名稱。


GET
https://api.shareai.now/api/v1/console/creator/model-collections列出擁有嘅集合。
- 基礎 URL
https://api.shareai.now- 認證
- HTTP Basic:創作者 UUID 同創作者訪問權杖
- 必需範圍
creator_collections:read
GET
https://api.shareai.now/api/v1/console/creator/model-collections/{collection_uuid}閱讀一個擁有嘅集合。
- 基礎 URL
https://api.shareai.now- 認證
- HTTP Basic:創作者 UUID 同創作者訪問權杖
- 必需範圍
creator_collections:read
cURL
curl --fail-with-body --request GET \
"https://api.shareai.now/api/v1/console/creator/model-collections" \
-u "$CREATOR_UUID:$CREATOR_ACCESS_TOKEN"
Python
import json
import os
import urllib.request
import base64
credentials = os.environ["CREATOR_UUID"] + ":" + os.environ["CREATOR_ACCESS_TOKEN"]
headers = {"Authorization": "Basic " + base64.b64encode(credentials.encode()).decode()}
request = urllib.request.Request('https://api.shareai.now/api/v1/console/creator/model-collections', headers=headers, method='GET')
with urllib.request.urlopen(request, timeout=60) as response:
print(json.load(response))
TypeScript
const url = "https://api.shareai.now/api/v1/console/creator/model-collections";
const credentials = `${process.env.CREATOR_UUID}:${process.env.CREATOR_ACCESS_TOKEN}`;
const headers: Record = {
Authorization: `Basic ${Buffer.from(credentials).toString("base64")}`,
};
const response = await fetch(url, { method: "GET", headers });
if (!response.ok) throw new Error(`${response.status}: ${await response.text()}`);
console.log(await response.json());
創建集合#
POST
https://api.shareai.now/api/v1/console/creator/model-collections創建具有默認訪問政策嘅集合。
- 基礎 URL
https://api.shareai.now- 認證
- HTTP Basic:創作者 UUID 同創作者訪問權杖
- 必需範圍
creator_collections:write
JSON
{
"name": "Example Research Model",
"collection_key": "example-research-model",
"description_html": "<p>A model for document classification. Describe intended use and limitations.</p>",
"share_types": [
"private"
]
}
私人可用性將服務權限保留喺 Creator 自己嘅基礎設施中。呢唔代表模型必須喺網絡推理中缺席。只使用 Creator 計劃啟用嘅共享類型。
更新集合#
PATCH
https://api.shareai.now/api/v1/console/creator/model-collections/{collection_uuid}/update更新允許嘅集合欄位。
- 基礎 URL
https://api.shareai.now- 認證
- HTTP Basic:創作者 UUID 同創作者訪問權杖
- 必需範圍
creator_collections:write
閱讀當前集合,只發送你打算更改嘅欄位,然後再讀取一次以驗證儲存嘅政策。一啲已發佈嘅更改可能需要審核先至生效;檢查返回嘅狀態,而唔係將儲存請求視為批准。
從頭開始時選擇完整嘅包#
創建模型包 喺一個請求中分組模型元數據、集合政策同標籤。
最後更新日期:2026年9月15日